Index: branches/2016/dev_r6325_SIMPLIF_1/DOC/TexFiles/Namelist/namzdf_tmx_new
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/DOC/TexFiles/Namelist/namzdf_tmx_new	(revision 6851)
+++ branches/2016/dev_r6325_SIMPLIF_1/DOC/TexFiles/Namelist/namzdf_tmx_new	(revision 6851)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namzdf_tmx_new !   internal wave-driven mixing parameterization        ("key_zdftmx_new" & "key_zdfddm")
+!-----------------------------------------------------------------------
+   nn_zpyc     = 1         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
+   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
+   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+/
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 6851)
@@ -34,13 +34,13 @@
 
 # required modules
-# module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel_shared NETCDF/parallel-netcdf-1.3.1 HDF5/hdf5-1.8.11_parallel_shared
+# module load  INTEL/intel_xe_2013 NETCDF/netcdf-4.3_parallel NETCDF/parallel-netcdf-1.7.0 HDF5/hdf5-1.8.11_parallel
 
-# Environment variables set by user. Others should automatically define when loading modules.
+# NETCDF and PNETCDF should be set automatically when loading modules.
+# The following environment variables must be set by the user.
 #export XIOS=/users/home/models/nemo/xios
-#export HDF5=/users/home/opt/hdf5/hdf5-1.8.11_parallel_shared
-#export NETCDF=/users/home/opt/netcdf/netcdf-4.3_parallel_shared
+#export HDF5=/users/home/opt/hdf5/hdf5-1.8.11_parallel
 
-%NCDF_INC            -I${NETCDF}/include 
-%NCDF_LIB            -L${NETCDF}/lib -lnetcdff -lnetcdf
+%NCDF_INC            -I${NETCDF}/include -I${PNETCDF}/include
+%NCDF_LIB            -L${NETCDF}/lib -lnetcdff -lnetcdf -L${PNETCDF}/lib -lpnetcdf
 %HDF5_INC            -I${HDF5}/include
 %HDF5_LIB            -L${HDF5}/lib -lhdf5_hl -lhdf5
@@ -49,9 +49,9 @@
 %CPP                 cpp
 %FC                  mpiifort
-%FCFLAGS             -r8 -O3 -xHost -fp-model source -traceback ${CFLAGS} 
+%FCFLAGS             -r8 -O3 -xHost -fp-model source -traceback
 %FFLAGS              %FCFLAGS
 %LD                  mpiifort
 %FPPFLAGS            -P -C -traditional
-%LDFLAGS             -lstdc++ -lz -lgpfs -lcurl  ${LDFLAGS}
+%LDFLAGS             -lstdc++ -lz -lgpfs -lcurl
 %AR                  ar 
 %ARFLAGS             -r
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6851)
@@ -54,5 +54,5 @@
 %CPP	             cpp-mp-4.8
 %FC	             mpif90 
-%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer 
+%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer -ffree-line-length-none
 %FFLAGS              %FCFLAGS
 %LD                  %FC
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 6851)
@@ -257,4 +257,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10   = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/C1D_PAPA/EXP00/namelist_cfg	(revision 6851)
@@ -205,9 +205,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =  0      !  type of equation of state and Brunt-Vaisala frequency
-                                 !  =-1, TEOS-10
-                                 !  = 0, EOS-80
-                                 !  = 1, S-EOS   (simplified eos)
-   ln_useCT    = .false. ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
+   ln_eos80    = .true.         !  = Use EOS80 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 6851)
@@ -187,19 +187,10 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =  0       !  type of equation of state and Brunt-Vaisala frequency
-                                 !  =-1, TEOS-10 
-                                 !  = 0, EOS-80 
-                                 !  = 1, S-EOS   (simplified eos)
-   ln_useCT    = .false.  ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
+   ln_eos80    = .true.    !  = Use EOS80 equation of state
    !                             !
-   !                      ! S-EOS coefficients :
-   !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  1.6550e-1      !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  7.6554e-1      !  saline  expension coefficient (nn_eos= 1)
-   rn_lambda1  =  5.9520e-2      !  cabbeling coeff in T^2  (=0 for linear eos)
-   rn_lambda2  =  7.4914e-4      !  cabbeling coeff in S^2  (=0 for linear eos)
-   rn_mu1      =  1.4970e-4      !  thermobaric coeff. in T (=0 for linear eos)
-   rn_mu2      =  1.1090e-5      !  thermobaric coeff. in S (=0 for linear eos)
-   rn_nu       =  2.4341e-3      !  cabbeling coeff in T*S  (=0 for linear eos)
+   ln_leos     = .false.   !  = Use linear     equation of state (L-EOS)
+      !                    !  rd(T,S,Z)*rau0 = -al*(T-10) + bl*(S-35)
+      rn_al    =  1.6550e-1      !  al, thermal expension coefficient
+      rn_bl    =  7.6554e-1      !  bl, saline  expension coefficient
 !!org GYRE   rn_alpha    =   2.0e-4  !  thermal expension coefficient (nn_eos= 1 or 2)
 !!org GYRE   rn_beta     =   7.7e-4  !  saline  expension coefficient (nn_eos= 2)
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 6851)
@@ -190,19 +190,10 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =  0       !  type of equation of state and Brunt-Vaisala frequency
-                                 !  =-1, TEOS-10
-                                 !  = 0, EOS-80
-                                 !  = 1, S-EOS   (simplified eos)
-   ln_useCT    = .false.  ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
+   ln_eos80    = .true.    !  = Use EOS80 equation of state
    !                             !
-   !                      ! S-EOS coefficients :
-   !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  1.6550e-1      !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  7.6554e-1      !  saline  expension coefficient (nn_eos= 1)
-   rn_lambda1  =  5.9520e-2      !  cabbeling coeff in T^2  (=0 for linear eos)
-   rn_lambda2  =  7.4914e-4      !  cabbeling coeff in S^2  (=0 for linear eos)
-   rn_mu1      =  1.4970e-4      !  thermobaric coeff. in T (=0 for linear eos)
-   rn_mu2      =  1.1090e-5      !  thermobaric coeff. in S (=0 for linear eos)
-   rn_nu       =  2.4341e-3      !  cabbeling coeff in T*S  (=0 for linear eos)
+   ln_leos     = .false.   !  = Use linear     equation of state (L-EOS)
+      !                    !  rd(T,S,Z)*rau0 = -al*(T-10) + bl*(S-35)
+      rn_al    =  1.6550e-1      !  al, thermal expension coefficient
+      rn_bl    =  7.6554e-1      !  bl, saline  expension coefficient
 !!org GYRE   rn_alpha    =   2.0e-4  !  thermal expension coefficient (nn_eos= 1 or 2)
 !!org GYRE   rn_beta     =   7.7e-4  !  saline  expension coefficient (nn_eos= 2)
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 6851)
@@ -109,19 +109,10 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =  0       !  type of equation of state and Brunt-Vaisala frequency
-                                 !  =-1, TEOS-10
-                                 !  = 0, EOS-80
-                                 !  = 1, S-EOS   (simplified eos)
-   ln_useCT    = .false.  ! use of Conservative Temp. ==> surface CT converted in Pot. Temp. in sbcssm
+   ln_eos80    = .true.    !  = Use EOS80 equation of state
    !                             !
-   !                      ! S-EOS coefficients :
-   !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  1.6550e-1      !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  7.6554e-1      !  saline  expension coefficient (nn_eos= 1)
-   rn_lambda1  =  5.9520e-2      !  cabbeling coeff in T^2  (=0 for linear eos)
-   rn_lambda2  =  7.4914e-4      !  cabbeling coeff in S^2  (=0 for linear eos)
-   rn_mu1      =  1.4970e-4      !  thermobaric coeff. in T (=0 for linear eos)
-   rn_mu2      =  1.1090e-5      !  thermobaric coeff. in S (=0 for linear eos)
-   rn_nu       =  2.4341e-3      !  cabbeling coeff in T*S  (=0 for linear eos)
+   ln_leos     = .false.   !  = Use linear     equation of state (L-EOS)
+      !                    !  rd(T,S,Z)*rau0 = -al*(T-10) + bl*(S-35)
+      rn_al    =  1.6550e-1      !  al, thermal expension coefficient
+      rn_bl    =  7.6554e-1      !  bl, saline  expension coefficient
 !!org GYRE   rn_alpha    =   2.0e-4  !  thermal expension coefficient (nn_eos= 1 or 2)
 !!org GYRE   rn_beta     =   7.7e-4  !  saline  expension coefficient (nn_eos= 2)
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 6851)
@@ -183,5 +183,13 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   nn_eos      =   0       !  type of equation of state and Brunt-Vaisala frequency
+   ln_eos80    = .true.    !  = Use EOS80 equation of state
+   !                             !
+   ln_leos     = .false.   !  = Use linear     equation of state (L-EOS)
+      !                    !  rd(T,S,Z)*rau0 = -al*(T-10) + bl*(S-35)
+      rn_al    =  1.6550e-1      !  al, thermal expension coefficient
+      rn_bl    =  7.6554e-1      !  bl, saline  expension coefficient
+!!org GYRE   rn_alpha    =   2.0e-4  !  thermal expension coefficient (nn_eos= 1 or 2)
+!!org GYRE   rn_beta     =   7.7e-4  !  saline  expension coefficient (nn_eos= 2)
+!!org  caution  now a0 = alpha / rau0   with rau0 = 1026
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 6851)
@@ -132,4 +132,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 6851)
@@ -110,4 +110,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 6851)
@@ -109,4 +109,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 6851)
@@ -169,4 +169,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 6851)
@@ -106,4 +106,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 6851)
@@ -85,4 +85,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !----------------------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 6851)
@@ -87,4 +87,5 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
+   ln_teos10    = .true.         !  = Use TEOS-10 equation of state
 /
 !-----------------------------------------------------------------------
Index: branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 6850)
+++ branches/2016/dev_r6325_SIMPLIF_1/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 6851)
@@ -21,5 +21,6 @@
    cn_icerst_outdir = "."          !  directory in which to write output ice restarts
    ln_limdyn     = .true.          !  ice dynamics (T) or thermodynamics only (F)
-   rn_amax       = 0.999           !  maximum tolerated ice concentration 
+   rn_amax_n     = 0.999           !  maximum tolerated ice concentration NH
+   rn_amax_s     = 0.999           !  maximum tolerated ice concentration SH
    ln_limdiahsb  = .false.         !  check the heat and salt budgets (T) or not (F)
    ln_limdiaout  = .true.          !  output the heat and salt budgets (T) or not (F)
@@ -85,5 +86,5 @@
    rn_hnewice  = 0.1               !  thickness for new ice formation in open water (m)
    ln_frazil   = .false.           !  use frazil ice collection thickness as a function of wind (T) or not (F)
-   rn_maxfrazb = 0.0               !  maximum fraction of frazil ice collecting at the ice base
+   rn_maxfrazb = 1.0               !  maximum fraction of frazil ice collecting at the ice base
    rn_vfrazb   = 0.417             !  thresold drift speed for frazil ice collecting at the ice bottom (m/s)
    rn_Cfrazb   = 5.0               !  squeezing coefficient for frazil ice collecting at the ice bottom
